Role Config

Prev Next

Role Config

You need the Manage Agent & Agent Roles permission to manage role configs.

Role Config JSON Format

Role Config is represented as simple flat JSON objects with the following keys:

Name Type Description
isEnabled bool Whether Role is enabled or not.

Get a single Role Config

GET global/roleConfig

  • Parameters:

No Parameters

  • Response:

Role Config

  • Example

Sample Request:

curl https://api11.comm100.io/v4/global/roleConfig \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "isEnabled": true
} 

Disable the Role Config

POST global/roleConfig:disable

  • Parameters:

No Parameters

  • Response:

Role Config

  • Example

Sample Request:

curl https://api11.comm100.io/v4/global/roleConfig:disable \ 
    -X 'POST' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "isEnabled": false
} 

Enable the Role Config

POST global/roleConfig:enable

  • Parameters:

No Parameters

  • Response:

Role Config

  • Example

Sample Request:

curl https://api11.comm100.io/v4/global/roleConfig:enable \ 
    -X 'POST' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "isEnabled": true
} 

Update the Role Config

PUT global/roleConfig

  • Parameters:

Name Type in Required Description
isEnabled bool body no Whether Role is enabled or not.
  • Response:

Role Config

  • Example

Sample Request:

curl https://api11.comm100.io/v4/global/roleConfig \ 
    -X 'PUT' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"isEnabled":true}' 

Response:

HTTP/1.1 200 OK

{
  "isEnabled": true
} 
Copyright © 2022 Comm100 Network Corporation. All Rights Reserved.